| Linux NFC User Mode Stack

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
nfc_tag_info_t Struct Reference

NFC tag information structure definition. More...

`#include <linux_nfc_api.h>`

## Public Attributes
unsigned int | technology
| indicates the technology of tag More...
unsigned int | handle
| the handle of tag More...
char | uid [32]
| the uid of tag More...
unsigned int | uid_length
| the uid length More...
tNFC_PROTOCOL | protocol
| activated protocol More...

## Detailed Description

NFC tag information structure definition.

Definition at line 164 of file linux_nfc_api.h.

## Member Data Documentation

unsigned int nfc_tag_info_t::handle

the handle of tag

Definition at line 173 of file linux_nfc_api.h.

tNFC_PROTOCOL nfc_tag_info_t::protocol

activated protocol

Definition at line 185 of file linux_nfc_api.h.

unsigned int nfc_tag_info_t::technology

indicates the technology of tag

Definition at line 169 of file linux_nfc_api.h.

char nfc_tag_info_t::uid[32]

the uid of tag

Definition at line 177 of file linux_nfc_api.h.

unsigned int nfc_tag_info_t::uid_length

the uid length

Definition at line 181 of file linux_nfc_api.h.

The documentation for this struct was generated from the following file:

- C:/Users/nxp99386/Documents/Nest/libnfc-nci-linux/libnfc-nci-linux/src/include/linux_nfc_api.h